GETDTABLESIZE(2)

NAME
getdtablesize - get descriptor table size

SYNOPSIS
#include <unistd.h>

int getdtablesize(void);

DESCRIPTION
getdtablesize() returns the maximum number of files a process can have open, one more than the largest possible value for a file descriptor.

RETURN VALUE
The current limit on the number of open files per process.

CONFORMING TO
SVr4, 4.4BSD (the getdtablesize() function first appeared in 4.2BSD). It is not specified in POSIX.1-2001; portable applications should employ sysconf(_SC_OPEN_MAX) instead of this call.

NOTES
getdtablesize() is implemented as a libc library function. The glibc version calls getrlimit(2) and returns the current RLIMIT_NOFILE limit, or OPEN_MAX when that fails. The libc4 and libc5 versions return OPEN_MAX (set to 256 since Linux 0.98.4).

SEE ALSO
close(2), dup(2), getrlimit(2), open(2)